import PrimeVue from 'primevue/config';
import Aura from '@primevue/themes/aura';
import { ZiggyVue } from '../../../../vendor/tightenco/ziggy/dist';
import { createApp } from 'vue';

const app = createApp({});

app.use(ZiggyVue)
    .use(PrimeVue, {
        ripple: true,
        theme: {
            preset: Aura
        }
    });

const appContainer = document.querySelector('.app-container');
const appId = appContainer.getAttribute('app');

const components = {
    'list-category': () => import('./components/categories/List.vue'),
    'create-category': () => import('./components/categories/Create.vue'),
    'edit-category': () => import('./components/categories/Edit.vue'),

    'list-product': () => import('./components/products/List.vue'),
    'edit-product': () => import('./components/products/Detail.vue'),
    'price-product': () => import('./components/products/PriceProduct.vue'),
    'location-product': () => import('./components/products/LocationProduct.vue'),
    'mvt-product': () => import('./components/products/MvtProduct.vue'),
}

if (components[appId]) {
    components[appId]().then(({ default: component }) => {        
        app.component(appId.replace(/-/g, ''), component).mount(`#catalog`);
    });
} else {
    app.mount("#app");
}