@extends('layouts.app')

@push('styles')
<script src="https://cdn.tailwindcss.com"></script>
@endpush

@section("content")

    @switch(request()->tab)
        @case("price")      
            <div id="catalog" class="app-container" app="price-product">   
                <priceproduct
                    :slug="{{ json_encode(request()->slug) }}"
                ></priceproduct>
            </div>
            @break
            
        @case("location")
            <div id="catalog" class="app-container" app="location-product">
                <locationproduct                
                    :product="{{json_encode($product)}}"                
                    :unites="{{json_encode($unites)}}"
                    :settings="{{json_encode(settings())}}"        
                    :menu="{{json_encode(config('catalog.menu.menu'))}}"
                    :locations="{{json_encode($locations)}}"
                ></locationproduct>         
            </div>   
            @break

        @case("mvt")
            <div id="catalog" class="app-container" app="mvt-product">
                <mvtproduct                
                    :slug="{{ json_encode(request()->slug) }}"
                    :location="{{ json_encode(request()->location) }}"                    
                ></mvtproduct>            
                @break
            </div>

        @default            
            <div id="catalog" class="app-container" app="edit-product">
                <editproduct                    
                    :slug="{{ json_encode(request()->slug) }}"                  
                ></editproduct>
            </div>
            @break
    @endswitch    


@vite('modules/catalogs/resources/js/app.js')
@endsection