<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('business_contacts', function (Blueprint $table) {
            $table->string('avatar')->nullable();
            $table->string('contact_phone')->nullable();
            $table->text('bank_info')->nullable();
            $table->text('company_info')->nullable();
            $table->boolean("credit")->default(0);            
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('business_contacts', function (Blueprint $table) {
            $table->dropColumn('avatar');
            $table->dropColumn('contact_phone');
            $table->dropColumn('bank_info');
            $table->dropColumn('company_info');
            $table->dropColumn('credit');
        });
    }
};
