<?php

namespace Modules\Sales\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Session;
use modules\sales\Models\CaisseStatus;

class CheckCaisseStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if(Session::has('caisse_id')){
            $caisse_id = Session::get("caisse_id");
            $last = CaisseStatus::where('caisse_id', $caisse_id)->latest('id')->first();
            $caisse = CaisseStatus::find($last);
        
            if (is_null($caisse)) {
                return Redirect::route('app.sales.caisses.open'); // Redirige vers la page B si true
            }
        }        

        return $next($request);
    }
}
