<?php

namespace modules\sales\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use modules\catalogs\Models\Products;
use modules\crm\Models\BusinessContact;
use modules\location\Models\Location;

class CartDetail extends Model
{
    use HasFactory;

    protected $table = "carts_details";
    protected $fillable = [
        'cart_id',
        'product_id',
        'product_title',
        'product_reference',
        'product_image',
        'product_id_out',
        'product_out_title',
        'product_out_reference',
        'qty',
        'unite_id',
        'unite',
        'stock_out',
        'product_stock',
        'price',
        'tva',
        'tva_price',
        'discount_by',
        'discount_of',
        'discount_type',
        'discount',
        'discount_price',
        'total_price_ht',
        'total_price_ttc',
        'delivery_price',
        'delivery_price_total',
    ];

    public function product() {
        return $this->belongsTo(Products::class, 'product_id');
    }
    
    public function productOut() {
        return $this->belongsTo(Products::class, 'product_id_out');
    }

    public function cart() {
        return $this->belongsTo(Cart::class, 'cart_id');
    }
}