<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('caisses_status', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('caisse_id')->nullable(); // Match with `caisses.id`
            $table->string('caisse')->nullable();
            $table->unsignedBigInteger('user_id')->nullable(); // Match with `users.id`
            $table->string('user')->nullable();
            $table->double('amount')->default(0);
            $table->double('fond_caisse')->default(0);
            $table->enum('status', ['open', 'close'])->default('close');
            $table->foreign('caisse_id')->references('id')->on('caisses')->onDelete('set null');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('set null');
            $table->timestamps();
        });
        
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('caisses_status');
    }
};
