<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('carts', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('location_id')->nullable();
            $table->string('location');
            $table->unsignedBigInteger('customer_id')->nullable();
            $table->string('customer');
            $table->enum('status', ['pending', 'validated', 'abandonned'])->default('pending');
            $table->double('total_price_ht')->default(0);
            $table->double('total_price_ttc')->default(0);
            $table->string('token');
            $table->foreign('location_id')->on("locations")->references('id')->onDelete("set null");
            $table->foreign('customer_id')->on("business_contacts")->references('id')->onDelete("set null");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('carts');
    }
};
