<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('stocks_stories', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('product_id')->nullable();
            $table->string('product_name');
            $table->unsignedBigInteger('location_id')->nullable();
            $table->string('location_name');
            $table->string('title');
            $table->double('stock_actual')->default(0);
            $table->double('stock_mvt')->default(0);
            $table->double('stock_final')->default(0);
            $table->unsignedBigInteger('user_id')->nullable();
            $table->string('username');
        
            $table->foreign('product_id')->references('id')->on('products')->onDelete('set null');
            $table->foreign('location_id')->references('id')->on('locations')->onDelete('set null');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('set null');
        
            $table->timestamps();
        });
        
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('stocks_stories');
    }
};
